PROGRAM JFRAME!       Example frame.f

! Code converted using TO_F90 by Alan Miller
! Date: 2001-03-14  Time: 23:27:08

USE JAPI


INTEGER :: frame

IF( .NOT. j_start()) THEN
  PRINT*, "can't connect to JAPI server"
  GO TO 20
END IF

frame   = j_frame("")
CALL j_show(frame)
NEXTACTION: DO
      IF(j_nextaction() == frame) EXIT NEXTACTION
      
END DO NEXTACTION

20 continue
CALL j_quit()

END PROGRAM JFRAME


